summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/c2l
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-04-17 21:35:25 +0000
committerKarl Berry <karl@freefriends.org>2020-04-17 21:35:25 +0000
commit77b8133a6dc28b8dc69f10c5d2f32fb1c45956f4 (patch)
treee2c379d048e27aa81cead61e001706c6c8115c15 /Master/tlpkg/bin/c2l
parent5ccd2c08ab341c51d0fffa59b25317003f97f08b (diff)
doc,sync
git-svn-id: svn://tug.org/texlive/trunk@54778 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/c2l')
-rwxr-xr-xMaster/tlpkg/bin/c2l3
1 files changed, 2 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index 77a4439975f..91047a7bca5 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -87,7 +87,8 @@ sub main {
$ARGV[0] = "-p" if $ARGV[0] eq "p";
print "$0: running ctan2tl @ARGV\n";
- # assume bash until we don't have to.
+ # we want our exit status to be from ctan2tl, not tee, hence the
+ # pipefail bash-ism.
my @lines = `set -o pipefail; ctan2tl @ARGV </dev/null 2>&1 | tee /tmp/cl.out`;
my $status = $?;